tigase.stats

## Interface StatisticsProviderMBean

- All Known Implementing Classes:
    JavaJMXProxy, StatisticsProvider

      public interface StatisticsProviderMBean

  Interface StatisticsProviderMBean
  Author:
    kobit

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getAllStats(int level)` Operation exposed for management
    `int` | `getCLIOQueueSize()`
    `float[]` | `getCLPacketsPerSecHistory()`
    `int` | `getCLQueueSize()`
    `int` | `getClusterCacheSize()`
    `float` | `getClusterCompressionRatio()`
    `long` | `getClusterNetworkBytes()`
    `float` | `getClusterNetworkBytesPerSecond()`
    `long` | `getClusterPackets()`
    `float` | `getClusterPacketsPerSec()`
    `List<String>` | `getComponentsNames()` Get Attribute exposed for management
    `Map<String,String>` | `getComponentStats(String compName, int level)` Operation exposed for management
    `int` | `getConnectionsNumber()`
    `int[]` | `getConnectionsNumberHistory()`
    `int` | `getCPUsNumber()`
    `float` | `getCPUUsage()`
    `float[]` | `getCPUUsageHistory()`
    `Map<String,Object>` | `getCurStats(String[] statsKeys)`
    `long` | `getDirectMemUsed()`
    `long[]` | `getDirectMemUsedHistory()`
    `float` | `getHeapMemUsage()`
    `float[]` | `getHeapUsageHistory()`
    `long` | `getIQAuthNumber()`
    `long` | `getIQOtherNumber()`
    `float` | `getIQOtherNumberPerSec()`
    `long` | `getMessagesNumber()`
    `float` | `getMessagesNumberPerSec()`
    `String` | `getName()`
    `float` | `getNonHeapMemUsage()`
    `long` | `getPresencesNumber()`
    `float` | `getPresencesNumberPerSec()`
    `long` | `getProcesCPUTime()`
    `long` | `getQueueOverflow()`
    `int` | `getQueueSize()`
    `int` | `getServerConnections()`
    `int[]` | `getServerConnectionsHistory()`
    `long` | `getSMPacketsNumber()`
    `float` | `getSMPacketsNumberPerSec()`
    `float[]` | `getSMPacketsPerSecHistory()`
    `int` | `getSMQueueSize()`
    `Map<String,LinkedList<Object>>` | `getStatsHistory(String[] statsKeys)`
    `String` | `getSystemDetails()`
    `long` | `getUptime()`

- - ### Method Detail

    - #### getAllStats

          Map<String,String> getAllStats(int level)

      Operation exposed for management
      Parameters:
        `level` - Statistics level, 0 - All, 500 - Medium, 800 - Minimal
      Returns:
        `java.util.Map<String, String>`

    - #### getCLIOQueueSize

          int getCLIOQueueSize()

    - #### getCLPacketsPerSecHistory

          float[] getCLPacketsPerSecHistory()

    - #### getCLQueueSize

          int getCLQueueSize()

    - #### getClusterCacheSize

          int getClusterCacheSize()

    - #### getClusterCompressionRatio

          float getClusterCompressionRatio()

    - #### getClusterNetworkBytes

          long getClusterNetworkBytes()

    - #### getClusterNetworkBytesPerSecond

          float getClusterNetworkBytesPerSecond()

    - #### getClusterPackets

          long getClusterPackets()

    - #### getClusterPacketsPerSec

          float getClusterPacketsPerSec()

    - #### getComponentsNames

          List<String> getComponentsNames()

      Get Attribute exposed for management
      Returns:
        a value of `List<String>`

    - #### getComponentStats

          Map<String,String> getComponentStats(String compName,
                                               int level)

      Operation exposed for management
      Parameters:
        `compName` - The component name to provide statistics for
        `level` - Statistics level, 0 - All, 500 - Medium, 800 - Minimal
      Returns:
        `java.util.Map<String, String>`

    - #### getConnectionsNumber

          int getConnectionsNumber()

    - #### getConnectionsNumberHistory

          int[] getConnectionsNumberHistory()

    - #### getCPUsNumber

          int getCPUsNumber()

    - #### getCPUUsage

          float getCPUUsage()

    - #### getCPUUsageHistory

          float[] getCPUUsageHistory()

    - #### getCurStats

          Map<String,Object> getCurStats(String[] statsKeys)

    - #### getDirectMemUsed

          long getDirectMemUsed()

    - #### getDirectMemUsedHistory

          long[] getDirectMemUsedHistory()

    - #### getHeapMemUsage

          float getHeapMemUsage()

    - #### getHeapUsageHistory

          float[] getHeapUsageHistory()

    - #### getIQAuthNumber

          long getIQAuthNumber()

    - #### getIQOtherNumber

          long getIQOtherNumber()

    - #### getIQOtherNumberPerSec

          float getIQOtherNumberPerSec()

    - #### getMessagesNumber

          long getMessagesNumber()

    - #### getMessagesNumberPerSec

          float getMessagesNumberPerSec()

    - #### getName

          String getName()

    - #### getNonHeapMemUsage

          float getNonHeapMemUsage()

    - #### getPresencesNumber

          long getPresencesNumber()

    - #### getPresencesNumberPerSec

          float getPresencesNumberPerSec()

    - #### getProcesCPUTime

          long getProcesCPUTime()

    - #### getQueueOverflow

          long getQueueOverflow()

    - #### getQueueSize

          int getQueueSize()

    - #### getServerConnections

          int getServerConnections()

    - #### getServerConnectionsHistory

          int[] getServerConnectionsHistory()

    - #### getSMPacketsNumber

          long getSMPacketsNumber()

    - #### getSMPacketsNumberPerSec

          float getSMPacketsNumberPerSec()

    - #### getSMPacketsPerSecHistory

          float[] getSMPacketsPerSecHistory()

    - #### getSMQueueSize

          int getSMQueueSize()

    - #### getStatsHistory

          Map<String,LinkedList<Object>> getStatsHistory(String[] statsKeys)

    - #### getSystemDetails

          String getSystemDetails()

    - #### getUptime

          long getUptime()

Copyright © 2018 "Tigase, Inc.". All rights reserved.